# studio::ChildrenTreeStore Class Reference

`#include <childrentreestore.h>`

Inheritance diagram for studio::ChildrenTreeStore:

List of all members.

## Public Member Functions

| ChildrenTreeStore (etl::loose_handle< synfigapp::CanvasInterface > canvas_interface_)
| ~ChildrenTreeStore ()
void | rebuild ()
void | refresh ()
void | rebuild_value_nodes ()
void | refresh_value_nodes ()
void | rebuild_canvases ()
void | refresh_canvases ()
void | refresh_row (Gtk::TreeModel::Row &row, bool do_children=false)
Gtk::TreeModel::Row | get_canvas_row () const
Gtk::TreeModel::Row | get_value_node_row () const

## Static Public Member Functions

static Glib::RefPtr < ChildrenTreeStore > | create (etl::loose_handle< synfigapp::CanvasInterface > canvas_interface_)

## Public Attributes

const Model | model
| TreeModel for the layers.

## Constructor & Destructor Documentation

ChildrenTreeStore::ChildrenTreeStore | ( | etl::loose_handle< synfigapp::CanvasInterface > | canvas_interface_ | ) |

References _, studio::CanvasTreeStore::canvas_interface(), studio::CanvasTreeStore::Model::is_canvas, studio::CanvasTreeStore::Model::is_value_node, studio::CanvasTreeStore::Model::label, model, and rebuild().

Referenced by create().

ChildrenTreeStore::~ChildrenTreeStore | ( |  | ) |

## Member Function Documentation

void ChildrenTreeStore::rebuild | ( |  | ) |

References rebuild_canvases(), and rebuild_value_nodes().

Referenced by ChildrenTreeStore().

void ChildrenTreeStore::refresh | ( |  | ) |

References refresh_canvases(), and refresh_value_nodes().

void ChildrenTreeStore::rebuild_value_nodes | ( |  | ) |

References studio::CanvasTreeStore::canvas_interface().

Referenced by rebuild().

void ChildrenTreeStore::refresh_value_nodes | ( |  | ) |

References refresh_row().

Referenced by refresh().

void ChildrenTreeStore::rebuild_canvases | ( |  | ) |

References studio::CanvasTreeStore::canvas_interface().

Referenced by rebuild(), and refresh_canvases().

void ChildrenTreeStore::refresh_canvases | ( |  | ) |

References rebuild_canvases().

Referenced by refresh().

void ChildrenTreeStore::refresh_row | ( | Gtk::TreeModel::Row & | row,
|  | bool | do_children = `false` |
| ) |  |  | `[virtual]`

Reimplemented from studio::CanvasTreeStore.

References studio::CanvasTreeStore::Model::is_value_node, model, studio::CanvasTreeStore::refresh_row(), and studio::CanvasTreeStore::Model::value_node.

Referenced by refresh_value_nodes().

Gtk::TreeModel::Row studio::ChildrenTreeStore::get_canvas_row | ( |  | ) | const`[inline]`

Gtk::TreeModel::Row studio::ChildrenTreeStore::get_value_node_row | ( |  | ) | const`[inline]`

Glib::RefPtr< ChildrenTreeStore > ChildrenTreeStore::create | ( | etl::loose_handle< synfigapp::CanvasInterface > | canvas_interface_ | ) | `[static]`

References ChildrenTreeStore().

## Member Data Documentation

const Model studio::ChildrenTreeStore::model

TreeModel for the layers.

Reimplemented from studio::CanvasTreeStore.

Referenced by ChildrenTreeStore(), and refresh_row().

The documentation for this class was generated from the following files:

- childrentreestore.h
- childrentreestore.cpp